Bug 461789 - Nagios check_mem does not consider buffers
Nagios check_mem does not consider buffers
Status: NEW
Product: Red Hat HPC Solution
Classification: Red Hat
Component: nagios-mem-plugin (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: OCS Support
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-10 11:48 EDT by Daniel Riek
Modified: 2008-10-27 14:23 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Riek 2008-09-10 11:48:32 EDT
The current nagios check_mem script is close to useless, as it seems to report on the total memory used value not considering buffers. This way it will almost all time be critical as Linux is very aggressive in using free memory for buffers:

[root@installer plugins]# /usr/lib64/nagios/plugins/check_mem -w 10 -c 5
CRITICAL - 458 MB (5%) Free Memory

[root@installer plugins]# free
             total       used       free     shared    buffers     cached
Mem:       8240784    7769504     471280          0     205852    6962548
-/+ buffers/cache:     601104    7639680
Swap:      2031608        136    2031472
[root@installer plugins]#
Comment 1 Daniel Riek 2008-09-15 13:47:10 EDT
Proposing to address in the update for 5.4
Comment 2 RHEL Product and Program Management 2008-10-27 14:23:03 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.

Note You need to log in before you can comment on or make changes to this bug.